import fs from 'fs'
import path from 'path'
const filePath = path.join(process.cwd(), "./pubspec.yaml")


function dateToString() {
  let date = new Date()
  var year = date.getFullYear();
  var month = (date.getMonth() + 1).toString();
  var day = (date.getDate()).toString();
  var hour = (date.getHours()).toString();
  var minute = (date.getMinutes()).toString();
  var second = (date.getSeconds()).toString();
  if (month.length == 1) {
    month = "0" + month;
  }
  if (day.length == 1) {
    day = "0" + day;
  }

  if (hour.length == 1) {
    hour = "0" + hour;
  }

  if (minute.length == 1) {
    minute = "0" + minute;
  }

  if (second.length == 1) {
    second = "0" + second;
  }


  var dateTime = year + "" + month + "" + day + "" + hour + "" + minute + "" + second;
  return dateTime;
}


fs.readFile(filePath, 'utf-8', (err, data) => {
  if (err) throw err;
  var newData = data.replace(/version: (\d+).(\d+).(\d+)/, (a, b, c, d) => {
    //  var newVersion =  parseInt(d) + 1  
    var newVersion = dateToString()
    console.log(newVersion)
    return `version: ${b}.${c}.${newVersion}`
  })

  fs.writeFileSync(filePath, newData, { encoding: 'utf8', flag: 'w+' })
});


