library flutter_lingman;

abstract class IDemonConfig {
  /// 获取api根目录
  String getApiRoot();

  /// 获取 http请求的header
  Map<String, String> getHttpHeader();

  /// 退出
  void makeLogout();

  Future<void> init();

  late ConfigModel configModel;
}

class ConfigModel {
  String brand = "";
  String model = "";
  String userAgent = "";
  String platform = "";
  ConfigModel(
      {required this.brand,
      required this.model,
      required this.userAgent,
      required this.platform});
}
